Subject: bug#14297: 24.3.50; emacs subprocesses don't exit on "exit"

From: Glenn Morris <[email-masked]>
Date: Sun, 28 Apr 2013 20:28:47 -0400

>  >> Start M-x shell and type exit. There is no message of process
>  >> exiting. It actually doesn't exit at all; M-: (process-status
>  >> (get-process "shell")) returns 'run.

Can you check from outside Emacs whether the shell process terminates?
Because if you do type "exit" in a shell and it doesn't actually exit, I
can't see how that could be an Emacs bug. On the other hand, if the
shell does exit, but Emacs thinks the process is still running, that
would be an Emacs bug.